summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJesusaves <cpntb1@ymail.com>2019-04-08 12:09:40 +0000
committerJesusaves <cpntb1@ymail.com>2019-04-08 12:09:40 +0000
commit92805ae06758e6b7558cd61a5b890014331fc893 (patch)
tree0bab4f87a9619dc78ea18496a3790e0568b21ff9
parent3ae369e92ca8aa0961b3013fb8136ed90d42d297 (diff)
downloadclientdata-92805ae06758e6b7558cd61a5b890014331fc893.tar.gz
clientdata-92805ae06758e6b7558cd61a5b890014331fc893.tar.bz2
clientdata-92805ae06758e6b7558cd61a5b890014331fc893.tar.xz
clientdata-92805ae06758e6b7558cd61a5b890014331fc893.zip
Allow repository to have any name, without causing pipelines to fail.
-rwxr-xr-x.tools/init.sh2
-rwxr-xr-x.tools/manaplus.sh6
-rwxr-xr-x.tools/testxml.sh14
3 files changed, 11 insertions, 11 deletions
diff --git a/.tools/init.sh b/.tools/init.sh
index 4fe533ef..6bd46c05 100755
--- a/.tools/init.sh
+++ b/.tools/init.sh
@@ -85,6 +85,6 @@ function aptget_install {
function clientdata_init {
mkdir shared
cd ..
- ln -s clientdata client-data
+ ln -s ${CI_PROJECT_NAME:=clientdata} client-data
check_error $?
}
diff --git a/.tools/manaplus.sh b/.tools/manaplus.sh
index aeb39a86..fb09bd36 100755
--- a/.tools/manaplus.sh
+++ b/.tools/manaplus.sh
@@ -14,13 +14,13 @@ aptget_install gcc g++ \
pwd
ls
-./clientdata/.tools/downloadlib.sh manaplus master || exit 1
+./client-data/.tools/downloadlib.sh manaplus master || exit 1
-export HOME=`pwd`/clientdata/shared
+export HOME=`pwd`/client-data/shared
cd manaplus_master || exit 1
export SDL_VIDEODRIVER=dummy
-./bin/manaplus --validate -u -d ../clientdata || exit 1
+./bin/manaplus --validate -u -d ../client-data || exit 1
ls "${HOME}/.local/share/mana/manaplus.log" || exit 1
grep -A 10 "Assert:" "${HOME}/.local/share/mana/manaplus.log"
diff --git a/.tools/testxml.sh b/.tools/testxml.sh
index eb0cd412..9e94e753 100755
--- a/.tools/testxml.sh
+++ b/.tools/testxml.sh
@@ -15,19 +15,19 @@ cd tools/testxml
check_error $?
export RES=$(cat errors.txt)
if [[ -n "${RES}" ]]; then
- echo "xml check failed" >../../clientdata/shared/error.log
- echo ${RES} >>../../clientdata/shared/error.log
- cat ../../clientdata/shared/error.log
+ echo "xml check failed" >../../client-data/shared/error.log
+ echo ${RES} >>../../client-data/shared/error.log
+ cat ../../client-data/shared/error.log
exit 1
fi
-echo >../../clientdata/shared/error.log
-./testxml.py silent >../../clientdata/shared/error.log
+echo >../../client-data/shared/error.log
+./testxml.py silent >../../client-data/shared/error.log
res="$?"
-cat ../../clientdata/shared/error.log
+cat ../../client-data/shared/error.log
if [ "$res" != 0 ]; then
echo "test xml error"
exit 1
fi
-echo >../../clientdata/shared/error.log
+echo >../../client-data/shared/error.log